Bug 511094 - Review Request: perl-TAP-Formatter-HTML - TAP Test Harness output delegate for html output
Review Request: perl-TAP-Formatter-HTML - TAP Test Harness output delegate fo...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rasmus Ory Nielsen
Fedora Extras Quality Assurance
:
Depends On: 511081
Blocks: F12VirtTarget
  Show dependency treegraph
 
Reported: 2009-07-13 11:57 EDT by Daniel Berrange
Modified: 2009-07-15 06:28 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-15 06:28:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ron: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 1 Rasmus Ory Nielsen 2009-07-13 17:11:36 EDT
Package builds fine and rpmlint is silent.

I would suggest a tweaked %description either without a reference to missing
sample output, or with the correct link included. It's a minor thing, so you
can fix it up when you check in.

* source files match upstream:
  sha256sum: 9c51d023ccc9709486e0aefe21822d6e02b5feb92ac2b7f886f4a17b91c69f95
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
X description could use some minor tweaks.
* dist tag is present.
* build root is correct.
  Note! %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX) is
  preferred over the one used in the spec file.
  See http://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock.
* package installs properly.
* rpmlint is silent.
* final provides and requires are sane:
  perl(App::Prove::Plugin::HTML) = 0.07
  perl(TAP::Formatter::HTML) = 0.07
  perl(TAP::Formatter::HTML::Session) = 0.05
  perl-TAP-Formatter-HTML = 0.07-1.fc11
  ---
  perl(:MODULE_COMPAT_5.10.0)
  perl(File::Spec::Functions)
  perl(File::Temp)
  perl(IO::File)
  perl(POSIX)
  perl(TAP::Formatter::HTML::Session)
  perl(TAP::Parser) >= 3.10
  perl(Template)
  perl(Template) >= 2.14
  perl(URI)
  perl(URI) >= 1.35
  perl(accessors)
  perl(accessors) >= 0.02
  perl(base)
  perl(constant)
  perl(strict)
  perl(warnings)
* %check is present and all tests pass:
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED
Comment 2 Daniel Berrange 2009-07-14 05:17:47 EDT
Thanks for such a prompt review !

New Package CVS Request
=======================
Package Name: perl-TAP-Formatter-HTML
Short Description: TAP Test Harness output delegate for html output
Owners: berrange
Branches: F-11
InitialCC: perl-sig
Comment 3 Jason Tibbitts 2009-07-14 22:31:31 EDT
CVS done.
Comment 4 Daniel Berrange 2009-07-15 06:28:53 EDT
Built into rawhide.

Note You need to log in before you can comment on or make changes to this bug.